Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005997 [JEDI VCL] 00 JVCL Components block always 2012-10-02 17:02 2015-09-14 13:20
Reporter vitimc2 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005997: TJvMemoryData - strange behavior
Description In the first test used only TJvMemoryData, TDBGrid, TDataSource.
Editing by grid when I insert the second record shows the data of the first, when the post of the second record shows 4 lines in the grid.

In the second test I used a button to enter and to give post.
In the first record insert, post the grid shows only the record in grid apparently normal
In the second record insert, post the grid shows the first record and the second record twice, each new record is displayed twice in the Grid

When I am editing or deleting a record the following error is showed: List Index out of bounds(-1).
Additional Information I'm using Delphi XE3 Professional.
JVCL 347
JCL 241
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020249)
AHUser (developer)
2012-10-06 19:32

Fixed in svn revision 13457.

- Issue History
Date Modified Username Field Change
2012-10-02 17:02 vitimc2 New Issue
2012-10-06 19:32 AHUser Note Added: 0020249
2012-10-06 19:32 AHUser Status new => resolved
2012-10-06 19:32 AHUser Fixed in Version => Daily / SVN
2012-10-06 19:32 AHUser Resolution open => fixed
2012-10-06 19:32 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker